import { csv, select } from 'd3';
import { scatterPlot } from './scatterPlot';

const csvUrl = 'https://gist.githubusercontent.com/Sai-Bhavana-Akkineni/6d84a5ee29751e96bdc165985c60b624/raw/e94c7d3e82b54f52e10892929109c5bda45a735f/ICE7_Reusablescatterplot'
const parseRow = (d) => {
  d.time = +d.time;
  d.courseno = +d.courseno;
  d.Marks = +d.Marks;
  return d;
};

const width = window.innerWidth;
const height = window.innerHeight;
const svg = select('body')
  .append('svg')
  .attr('width', width)
  .attr('height', height);

const main = async () => {
  const plot = scatterPlot()
    .width(width)
    .height(height)
    .data(await csv(csvUrl, parseRow))
    .xValue((d) => d.Marks)
    .yValue((d) => d.time)
    .margin({
      top: 20,
      right: 20,
      bottom: 40,
      left: 50,
    })
    .radius(4);

  svg.call(plot);

  const columns = [
   'Marks',
  	'time',
    'courseno'
  ];
  let i = 0;
  setInterval(() => {
    plot.xValue((d) => d[columns[i % columns.length]]);
    svg.call(plot);
    i++;
  }, 5000);
};
main();



